#include <iostream>
#include <string>
#include <iomanip>
#include <cmath>
using namespace std;

int brojcifara (int a){
	int i=0;
	while(a>0){
		a=a/10;
		i++;
	}
	return i;
}

int spoj (int a, int b, int c){
	int brcB = brojcifara(b);
	int brcC=brojcifara(c);
	int x=(b+a*(pow(10,brcB)))*(pow(10,brcC))+c;
	return x;
}

int main() {
	int a,b,c,n1,n2,n3,n4,n5,n6,max;
	cin>>a>>b>>c;
	max=0;
	n1=spoj(a,b,c);
	if(n1>max) max=n1;
	n2=spoj(c,b,a);
	if(n2>max) max=n2;
	n3=spoj(b,a,c);
	if(n3>max) max=n3;
	n4=spoj(c,a,b);
	if(n4>max) max=n4;
	n5=spoj(b,c,a);
	if(n5>max) max=n5;
	n6=spoj(a,c,b);
	if(n6>max) max=n6;
	cout<<"max "<<max;

}